Net::SNPP(3pm)

NAME
Net::SNPP - Simple Network Pager Protocol Client

SYNOPSIS

    use Net::SNPP;

    # Constructors
    $snpp = Net::SNPP->new('snpphost');
    $snpp = Net::SNPP->new('snpphost', Timeout => 60);

NOTE
This module is not complete, yet !

DESCRIPTION
This module implements a client interface to the SNPP protocol, enabling a perl5 application to talk to SNPP servers. This documentation assumes that you are familiar with the SNPP protocol described in RFC1861.

A new Net::SNPP object must be created with the new method. Once this has been done, all SNPP commands are accessed through this object.

EXAMPLES
This example will send a pager message in one hour saying "Your lunch is ready"

    #!/usr/local/bin/perl -w

    use Net::SNPP;

    $snpp = Net::SNPP->new('snpphost');

    $snpp->send( Pager   => $some_pager_number,
                 Message => "Your lunch is ready",
                 Alert   => 1,
                 Hold    => time + 3600, # lunch ready in 1 hour :-)
               ) || die $snpp->message;

    $snpp->quit;

CONSTRUCTOR
This is the constructor for a new Net::SNPP object. HOST is the name of the remote host to which a SNPP connection is required.

If HOST is not given, then the SNPP_Host specified in Net::Config will be used.

OPTIONS are passed in a hash like fashion, using key and value pairs. Possible options are:

Timeout - Maximum time, in seconds, to wait for a response from the SNPP server (default: 120)

Debug - Enable debugging information

Example:

    $snpp = Net::SNPP->new('snpphost',
                           Debug => 1,
                          );

METHODS
Unless otherwise stated all methods return either a true or false value, with true meaning that the operation was a success. When a method states that it returns a value, failure will be returned as undef or an empty list. Request help text from the server. Returns the text or undef upon failure Send the QUIT command to the remote SNPP server and close the socket connection.

EXPORTS
Net::SNPP exports all that Net::CMD exports, plus three more subroutines that can bu used to compare against the result of status. These are :- CMD_2WAYERROR, CMD_2WAYOK, and CMD_2WAYQUEUED.

SEE ALSO
the Net::Cmd manpage RFC1861

AUTHOR
Graham Barr <gbarr@ti.com>

COPYRIGHT
Copyright (c) 1995-1997 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.